Skip to main content
GET
Get Devices Battery Forecast Historical

Authorizations

x-api-key
string
header
required

API Key authentication. Enter your API key in the format: YOUR_API_KEY

Query Parameters

start_time
string
required

Start of the requested period. Intervals starting at or after this time are returned. The time is in UTC in ISO 8601 format.

Time format examples:

  • 2023-10-01T00:00:00Z
  • 2023-10-01T00:00:00
end_time
string
required

End of the requested period. Intervals starting before this time are returned. The time is in UTC in ISO 8601 format.

Time format examples:

  • 2023-10-01T00:00:00Z
  • 2023-10-01T00:00:00
limit
integer
default:1000

The maximum number of items to return per page of results.

This should be used together with the next_token parameter to paginate through results.

Read the pagination parameter documentation for more details.

Required range: 1 <= x <= 1000
next_token
string | null

The next_token is a token used to retrieve the next page of results when there are more results than can fit in a single page(=API response).

By default, the API will return a next_token of the first page if no token was given as a parameter.

If the token is null you have reached the end of the results.

This should be used together with the limit parameter to paginate through results.

To get all results of your call, you can keep calling the same API call with the previously returned next_token until it returns null.

aggregated
boolean
default:false

If true, sum the values of all batteries per interval.

If false, return the values of each battery separately.

Note: If device_id is given, the aggregated parameter is ignored.

device_id
string | null

Battery device ID to get data of. If None, all batteries are included.

Response

Successful response

data
BatteryEnergyForecast · object[] | null

List of 15 minute values

meta
BatteryEnergyMeta · object | null

Response metadata